Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.232.44.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
127.232.44.0
Broadcast address
127.232.47.255
First usable
127.232.44.1
Last usable
127.232.47.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7FE82C00 · Integer 2145922048 to 2145923071
Reverse DNS zones
44.232.127.in-addr.arpa
45.232.127.in-addr.arpa
46.232.127.in-addr.arpa
47.232.127.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111.11101000.00101100.00000000127.232.44.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network01111111.11101000.00101100.00000000127.232.44.0
Broadcast01111111.11101000.00101111.11111111127.232.47.255
Split into smaller subnets/29

127.232.44.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.232.44.0/29127.232.44.1 to 127.232.44.6127.232.44.76
2127.232.44.8/29127.232.44.9 to 127.232.44.14127.232.44.156
3127.232.44.16/29127.232.44.17 to 127.232.44.22127.232.44.236
4127.232.44.24/29127.232.44.25 to 127.232.44.30127.232.44.316
5127.232.44.32/29127.232.44.33 to 127.232.44.38127.232.44.396
6127.232.44.40/29127.232.44.41 to 127.232.44.46127.232.44.476
7127.232.44.48/29127.232.44.49 to 127.232.44.54127.232.44.556
8127.232.44.56/29127.232.44.57 to 127.232.44.62127.232.44.636
9127.232.44.64/29127.232.44.65 to 127.232.44.70127.232.44.716
10127.232.44.72/29127.232.44.73 to 127.232.44.78127.232.44.796
11127.232.44.80/29127.232.44.81 to 127.232.44.86127.232.44.876
12127.232.44.88/29127.232.44.89 to 127.232.44.94127.232.44.956
13127.232.44.96/29127.232.44.97 to 127.232.44.102127.232.44.1036
14127.232.44.104/29127.232.44.105 to 127.232.44.110127.232.44.1116
15127.232.44.112/29127.232.44.113 to 127.232.44.118127.232.44.1196
16127.232.44.120/29127.232.44.121 to 127.232.44.126127.232.44.1276
17127.232.44.128/29127.232.44.129 to 127.232.44.134127.232.44.1356
18127.232.44.136/29127.232.44.137 to 127.232.44.142127.232.44.1436
19127.232.44.144/29127.232.44.145 to 127.232.44.150127.232.44.1516
20127.232.44.152/29127.232.44.153 to 127.232.44.158127.232.44.1596
21127.232.44.160/29127.232.44.161 to 127.232.44.166127.232.44.1676
22127.232.44.168/29127.232.44.169 to 127.232.44.174127.232.44.1756
23127.232.44.176/29127.232.44.177 to 127.232.44.182127.232.44.1836
24127.232.44.184/29127.232.44.185 to 127.232.44.190127.232.44.1916
25127.232.44.192/29127.232.44.193 to 127.232.44.198127.232.44.1996
26127.232.44.200/29127.232.44.201 to 127.232.44.206127.232.44.2076
27127.232.44.208/29127.232.44.209 to 127.232.44.214127.232.44.2156
28127.232.44.216/29127.232.44.217 to 127.232.44.222127.232.44.2236
29127.232.44.224/29127.232.44.225 to 127.232.44.230127.232.44.2316
30127.232.44.232/29127.232.44.233 to 127.232.44.238127.232.44.2396
31127.232.44.240/29127.232.44.241 to 127.232.44.246127.232.44.2476
32127.232.44.248/29127.232.44.249 to 127.232.44.254127.232.44.2556
33127.232.45.0/29127.232.45.1 to 127.232.45.6127.232.45.76
34127.232.45.8/29127.232.45.9 to 127.232.45.14127.232.45.156
35127.232.45.16/29127.232.45.17 to 127.232.45.22127.232.45.236
36127.232.45.24/29127.232.45.25 to 127.232.45.30127.232.45.316
37127.232.45.32/29127.232.45.33 to 127.232.45.38127.232.45.396
38127.232.45.40/29127.232.45.41 to 127.232.45.46127.232.45.476
39127.232.45.48/29127.232.45.49 to 127.232.45.54127.232.45.556
40127.232.45.56/29127.232.45.57 to 127.232.45.62127.232.45.636
41127.232.45.64/29127.232.45.65 to 127.232.45.70127.232.45.716
42127.232.45.72/29127.232.45.73 to 127.232.45.78127.232.45.796
43127.232.45.80/29127.232.45.81 to 127.232.45.86127.232.45.876
44127.232.45.88/29127.232.45.89 to 127.232.45.94127.232.45.956
45127.232.45.96/29127.232.45.97 to 127.232.45.102127.232.45.1036
46127.232.45.104/29127.232.45.105 to 127.232.45.110127.232.45.1116
47127.232.45.112/29127.232.45.113 to 127.232.45.118127.232.45.1196
48127.232.45.120/29127.232.45.121 to 127.232.45.126127.232.45.1276
49127.232.45.128/29127.232.45.129 to 127.232.45.134127.232.45.1356
50127.232.45.136/29127.232.45.137 to 127.232.45.142127.232.45.1436
51127.232.45.144/29127.232.45.145 to 127.232.45.150127.232.45.1516
52127.232.45.152/29127.232.45.153 to 127.232.45.158127.232.45.1596
53127.232.45.160/29127.232.45.161 to 127.232.45.166127.232.45.1676
54127.232.45.168/29127.232.45.169 to 127.232.45.174127.232.45.1756
55127.232.45.176/29127.232.45.177 to 127.232.45.182127.232.45.1836
56127.232.45.184/29127.232.45.185 to 127.232.45.190127.232.45.1916
57127.232.45.192/29127.232.45.193 to 127.232.45.198127.232.45.1996
58127.232.45.200/29127.232.45.201 to 127.232.45.206127.232.45.2076
59127.232.45.208/29127.232.45.209 to 127.232.45.214127.232.45.2156
60127.232.45.216/29127.232.45.217 to 127.232.45.222127.232.45.2236
61127.232.45.224/29127.232.45.225 to 127.232.45.230127.232.45.2316
62127.232.45.232/29127.232.45.233 to 127.232.45.238127.232.45.2396
63127.232.45.240/29127.232.45.241 to 127.232.45.246127.232.45.2476
64127.232.45.248/29127.232.45.249 to 127.232.45.254127.232.45.2556
65127.232.46.0/29127.232.46.1 to 127.232.46.6127.232.46.76
66127.232.46.8/29127.232.46.9 to 127.232.46.14127.232.46.156
67127.232.46.16/29127.232.46.17 to 127.232.46.22127.232.46.236
68127.232.46.24/29127.232.46.25 to 127.232.46.30127.232.46.316
69127.232.46.32/29127.232.46.33 to 127.232.46.38127.232.46.396
70127.232.46.40/29127.232.46.41 to 127.232.46.46127.232.46.476
71127.232.46.48/29127.232.46.49 to 127.232.46.54127.232.46.556
72127.232.46.56/29127.232.46.57 to 127.232.46.62127.232.46.636
73127.232.46.64/29127.232.46.65 to 127.232.46.70127.232.46.716
74127.232.46.72/29127.232.46.73 to 127.232.46.78127.232.46.796
75127.232.46.80/29127.232.46.81 to 127.232.46.86127.232.46.876
76127.232.46.88/29127.232.46.89 to 127.232.46.94127.232.46.956
77127.232.46.96/29127.232.46.97 to 127.232.46.102127.232.46.1036
78127.232.46.104/29127.232.46.105 to 127.232.46.110127.232.46.1116
79127.232.46.112/29127.232.46.113 to 127.232.46.118127.232.46.1196
80127.232.46.120/29127.232.46.121 to 127.232.46.126127.232.46.1276
81127.232.46.128/29127.232.46.129 to 127.232.46.134127.232.46.1356
82127.232.46.136/29127.232.46.137 to 127.232.46.142127.232.46.1436
83127.232.46.144/29127.232.46.145 to 127.232.46.150127.232.46.1516
84127.232.46.152/29127.232.46.153 to 127.232.46.158127.232.46.1596
85127.232.46.160/29127.232.46.161 to 127.232.46.166127.232.46.1676
86127.232.46.168/29127.232.46.169 to 127.232.46.174127.232.46.1756
87127.232.46.176/29127.232.46.177 to 127.232.46.182127.232.46.1836
88127.232.46.184/29127.232.46.185 to 127.232.46.190127.232.46.1916
89127.232.46.192/29127.232.46.193 to 127.232.46.198127.232.46.1996
90127.232.46.200/29127.232.46.201 to 127.232.46.206127.232.46.2076
91127.232.46.208/29127.232.46.209 to 127.232.46.214127.232.46.2156
92127.232.46.216/29127.232.46.217 to 127.232.46.222127.232.46.2236
93127.232.46.224/29127.232.46.225 to 127.232.46.230127.232.46.2316
94127.232.46.232/29127.232.46.233 to 127.232.46.238127.232.46.2396
95127.232.46.240/29127.232.46.241 to 127.232.46.246127.232.46.2476
96127.232.46.248/29127.232.46.249 to 127.232.46.254127.232.46.2556
97127.232.47.0/29127.232.47.1 to 127.232.47.6127.232.47.76
98127.232.47.8/29127.232.47.9 to 127.232.47.14127.232.47.156
99127.232.47.16/29127.232.47.17 to 127.232.47.22127.232.47.236
100127.232.47.24/29127.232.47.25 to 127.232.47.30127.232.47.316
101127.232.47.32/29127.232.47.33 to 127.232.47.38127.232.47.396
102127.232.47.40/29127.232.47.41 to 127.232.47.46127.232.47.476
103127.232.47.48/29127.232.47.49 to 127.232.47.54127.232.47.556
104127.232.47.56/29127.232.47.57 to 127.232.47.62127.232.47.636
105127.232.47.64/29127.232.47.65 to 127.232.47.70127.232.47.716
106127.232.47.72/29127.232.47.73 to 127.232.47.78127.232.47.796
107127.232.47.80/29127.232.47.81 to 127.232.47.86127.232.47.876
108127.232.47.88/29127.232.47.89 to 127.232.47.94127.232.47.956
109127.232.47.96/29127.232.47.97 to 127.232.47.102127.232.47.1036
110127.232.47.104/29127.232.47.105 to 127.232.47.110127.232.47.1116
111127.232.47.112/29127.232.47.113 to 127.232.47.118127.232.47.1196
112127.232.47.120/29127.232.47.121 to 127.232.47.126127.232.47.1276
113127.232.47.128/29127.232.47.129 to 127.232.47.134127.232.47.1356
114127.232.47.136/29127.232.47.137 to 127.232.47.142127.232.47.1436
115127.232.47.144/29127.232.47.145 to 127.232.47.150127.232.47.1516
116127.232.47.152/29127.232.47.153 to 127.232.47.158127.232.47.1596
117127.232.47.160/29127.232.47.161 to 127.232.47.166127.232.47.1676
118127.232.47.168/29127.232.47.169 to 127.232.47.174127.232.47.1756
119127.232.47.176/29127.232.47.177 to 127.232.47.182127.232.47.1836
120127.232.47.184/29127.232.47.185 to 127.232.47.190127.232.47.1916
121127.232.47.192/29127.232.47.193 to 127.232.47.198127.232.47.1996
122127.232.47.200/29127.232.47.201 to 127.232.47.206127.232.47.2076
123127.232.47.208/29127.232.47.209 to 127.232.47.214127.232.47.2156
124127.232.47.216/29127.232.47.217 to 127.232.47.222127.232.47.2236
125127.232.47.224/29127.232.47.225 to 127.232.47.230127.232.47.2316
126127.232.47.232/29127.232.47.233 to 127.232.47.238127.232.47.2396
127127.232.47.240/29127.232.47.241 to 127.232.47.246127.232.47.2476
128127.232.47.248/29127.232.47.249 to 127.232.47.254127.232.47.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses